package libnmdc

type AdcProtocol struct {
	hc *HubConnection
}

func NewAdcProtocol(hc *HubConnection) Protocol {
	proto := AdcProtocol{}
	proto.hc = hc

	// TODO send stuff immediately

	return &proto
}

func (this *AdcProtocol) ProcessCommand(msg string) {
	this.hc.processEvent(HubEvent{EventType: EVENT_DEBUG_MESSAGE, Message: msg})
}

func (this *AdcProtocol) SayPublic(msg string) {
}

func (this *AdcProtocol) SayPrivate(user, message string) {
}

func (this *AdcProtocol) ProtoMessageSeparator() string {
	return "\n"
}
